%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  CircNNTSRSymmetric
%global packver   0.1.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.0
Release:          1%{?dist}%{?buildtag}
Summary:          Circular Data using Symmetric NNTS Models

License:          GPL (>= 2)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch
BuildRequires:    R-stats 
BuildRequires:    R-CRAN-CircNNTSR 
Requires:         R-stats 
Requires:         R-CRAN-CircNNTSR 

%description
The statistical analysis of circular data using distributions based on
symmetric Nonnegative Trigonometric Sums (NNTS). It includes functions to
perform empirical analysis and estimate the parameters of density
functions. Fernandez-Duran, J.J. and Gregorio-Dominguez, M.M. (2025),
"Multimodal Symmetric Circular Distributions Based on Nonnegative
Trigonometric Sums and a Likelihood Ratio Test for Reflective Symmetry",
<doi:10.48550/arXiv.2412.19501>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
